Desktop CBE is no longer needed for compilation
authorjenda
Tue, 10 May 2011 16:58:13 +0200
changeset 74 0ff042a1dba1
parent 73 4254f0766f0d
child 75 a80eed27a41f
Desktop CBE is no longer needed for compilation
build-g11n-spec.sh
icu/icu.spec
--- a/build-g11n-spec.sh	Mon May 16 14:11:09 2011 +0200
+++ b/build-g11n-spec.sh	Tue May 10 16:58:13 2011 +0200
@@ -14,26 +14,14 @@
 usage="$usage\n    -a         : uninstall/build/install."
 usage="$usage\n    -n         : NOT compress/copy to $HOME/packages\n"
 
-# check /opt/jdsbld
-if [ ! -d /opt/jdsbld ];then
-    echo "Need jds build tools in /opt/jdsbld"
-    exit 1
-fi
-
 date
 
 IPS_VENDORVER=0.${L10N_BUILDNUM:-"155"}
 PUBLISHER=${L10N_PUBLISHER:-"l10n-nightly"}
 
-rm -f /tmp/.build_env.$$
-[ -z "$PKGDEST" ] 	|| echo "export PKGDEST=$PKGDEST" >> /tmp/.build_env.$$
-[ -z "$IPS_VENDORVER" ]	|| echo "export IPS_VENDORVER=$IPS_VENDORVER" >> /tmp/.build_env.$$
-[ -z "$PUBLISHER" ] 	|| echo "export PUBLISHER=$PUBLISHER" >> /tmp/.build_env.$$
-[ -z "$DOWNLOADS" ] 	|| echo "export DOWNLOADS=$DOWNLOADS" >> /tmp/.build_env.$$
-
-source /opt/jdsbld/bin/env.sh default
-
-. /tmp/.build_env.$$
+export CC=/opt/SUNWspro/bin/cc
+export CXX=/opt/SUNWspro/bin/CC
+export MAKE=gmake
 
 while getopts pad:l:n option
 do
@@ -152,10 +140,10 @@
 
     if [ $CMD = 'build' ]; then
         echo "pkgtool $PKGUNINSTALLARGS $spec"
-        $PKGTOOL $PKGUNINSTALLARGS $spec
+        $PKGTOOL -v $PKGUNINSTALLARGS $spec
     fi
     echo "$PKGTOOL $PKGBUILDARGS --define \"ipsvendorver $IPS_VENDORVER\" --define '_tmppath %{_topdir}/TMP' $spec"
-    $PKGTOOL $PKGBUILDARGS --define "ipsvendorver $IPS_VENDORVER" --define '_tmppath %{_topdir}/TMP' $spec || exit 1
+    $PKGTOOL -v $PKGBUILDARGS --define "ipsvendorver $IPS_VENDORVER" --define '_tmppath %{_topdir}/TMP' $spec || exit 1
 
 done
 
--- a/icu/icu.spec	Mon May 16 14:11:09 2011 +0200
+++ b/icu/icu.spec	Tue May 10 16:58:13 2011 +0200
@@ -135,7 +135,7 @@
 %endif
 ./runConfigureICU ${OSTARGET} --prefix=%{_prefix} --libdir=%{_libdir} --sysconfdir=/etc --with-data-packaging=library --enable-shared --enable-static --disable-samples --disable-64bit-libs
 echo 'CPPFLAGS += -DICU_DATA_DIR=\"/usr/share/icu/%{version}\"' >> icudefs.mk
-make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
+gmake RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
 
 %ifarch amd64 sparcv9
 pwd
@@ -150,7 +150,7 @@
 
 ./runConfigureICU ${OSTARGET} --prefix=%{_prefix}/%{_arch64} --libdir=%{_libdir}/%{_arch64} --sysconfdir=/etc/%{_arch64} --with-data-packaging=library --enable-shared --enable-static --disable-samples --with-library-bits=64 --bindir=%{_bindir}/%{_arch64} --sbindir=/usr/sbin/%{_arch64}
 echo 'CPPFLAGS += -DICU_DATA_DIR=\"/usr/share/icu/%{version}\"' >> icudefs.mk
-make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
+gmake RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
 %endif
 
 %install
@@ -158,14 +158,14 @@
 cd %{src_name}-%{version}
 cd %{src_name}
 cd source
-make install DESTDIR=$RPM_BUILD_ROOT
+gmake install DESTDIR=$RPM_BUILD_ROOT
 
 cd $RPM_BUILD_DIR/%{src_name}-%{version}
 
 %ifarch amd64 sparcv9
 cd %{src_name}-64
 cd source
-DESTDIR=${RPM_BUILD_ROOT} make install
+DESTDIR=${RPM_BUILD_ROOT} gmake install
 %endif
 
 find ${RPM_BUILD_ROOT} -name "*.a" -exec rm -rf {} \; -print